@font-face{
  font-family: "Mazius";
  src: url("MaziusDisplay-Regular.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}
@font-face{
  font-family: "Mazius";
  src: url("MaziusDisplay-Bold.woff2") format("woff2");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}
@font-face{
  font-family: "Mazius";
  src: url("MaziusDisplay-Extraitalic.woff2") format("woff2");
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}
@font-face{
  font-family: "Mazius";
  src: url("MaziusDisplay-ExtraItalicBold.woff2") format("woff2");
  font-weight: bold;
  font-style: italic;
  font-display: swap;
}

* {
    box-sizing: border-box;
}

body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    font-family: "Mazius";
}

#game {
    position: relative;
    width: 100vw;
    height: 100vh;
}

#background {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;

}

.accueil-ui {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 10;
  text-align: center;
  background: rgba(255, 255, 255, 0.2); /* Léger effet de verre transparent */
  backdrop-filter: blur(5px);
  padding: 40px;
  border-radius: 20px;
  border: 2px solid rgba(255, 255, 255, 0.3);
}

.accueil-ui h1 {
  font-size: 50px;
  color: #333;
  margin-bottom: 20px;
  text-shadow: 2px 2px 4px rgba(255,255,255,0.8);
}

#valise-accueil img {
  width: 200px;
  margin-bottom: 30px;
}

.play {
  padding: 15px 50px;
  font-size: 24px;
  font-weight: bold;
  background-color: #2ecc71; /* Un beau vert pour donner envie de cliquer */
  color: white;
  border: none;
  border-radius: 50px;
  cursor: pointer;
  box-shadow: 0 5px 15px rgba(0,0,0,0.2);
  transition: all 0.2s;
}

.play:hover {
  transform: scale(1.05);
  background-color: #27ae60;
}

#parallax-collage {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    overflow: hidden;
    z-index: 2;
}


.collage-layer {
    position: absolute;
    pointer-events: none; 
    transition: transform 0.15s ease-out; 
    filter: drop-shadow(4px 6px 12px rgba(0, 0, 0, 0.35));
}

.saison-cliquable{
  pointer-events: auto !important;
  cursor: pointer;
  transition: filter 0.2s, transform 0.15s ease-out !important;
}
.saison-cliquable:hover {
  filter: drop-shadow(0 0 25px #f1c40f) brightness(1.2) !important;
}